<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.AdditionalRule Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html">AdditionalRule</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_semantic_search_implementation_1_1_additional_rule-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.AdditionalRule Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Represents an additional rule.  
 <a href="class_semantic_search_implementation_1_1_additional_rule.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3a6cd2cfefe48fa75e77a24044efa617"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html#a3a6cd2cfefe48fa75e77a24044efa617">AdditionalRule</a> (<a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html">IRdfConnector</a> connector, SparqlParameterizedString queryString)</td></tr>
<tr class="separator:a3a6cd2cfefe48fa75e77a24044efa617"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9785f674afd25170a80e21c9986dc75b"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, List&lt; Triple &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html#a9785f674afd25170a80e21c9986dc75b">ExecuteRule</a> (string graphName)</td></tr>
<tr class="memdesc:a9785f674afd25170a80e21c9986dc75b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Executes an additional rule for a specific metadata graph.  <a href="class_semantic_search_implementation_1_1_additional_rule.html#a9785f674afd25170a80e21c9986dc75b">More...</a><br /></td></tr>
<tr class="separator:a9785f674afd25170a80e21c9986dc75b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8ba5ff8df619d661ff583d121b343cf9"><td class="memItemLeft" align="right" valign="top">readonly <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html">IRdfConnector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html#a8ba5ff8df619d661ff583d121b343cf9">_connector</a></td></tr>
<tr class="separator:a8ba5ff8df619d661ff583d121b343cf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07d4811c88adadb25e511902e26105ad"><td class="memItemLeft" align="right" valign="top">SparqlParameterizedString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html#a07d4811c88adadb25e511902e26105ad">_queryString</a></td></tr>
<tr class="separator:a07d4811c88adadb25e511902e26105ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Represents an additional rule. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3a6cd2cfefe48fa75e77a24044efa617"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a6cd2cfefe48fa75e77a24044efa617">&#9670;&nbsp;</a></span>AdditionalRule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SemanticSearchImplementation.AdditionalRule.AdditionalRule </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html">IRdfConnector</a>&#160;</td>
          <td class="paramname"><em>connector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SparqlParameterizedString&#160;</td>
          <td class="paramname"><em>queryString</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9785f674afd25170a80e21c9986dc75b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9785f674afd25170a80e21c9986dc75b">&#9670;&nbsp;</a></span>ExecuteRule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IDictionary&lt;string, List&lt;Triple&gt; &gt; SemanticSearchImplementation.AdditionalRule.ExecuteRule </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Executes an additional rule for a specific metadata graph. </p>
<p>Additional rules can affect the maping of other existing metadata graphs.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of metadata graph.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A dictionary containing the IDs of the metadata graphs (key) and the corresponding constructed triples (value).</dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a8ba5ff8df619d661ff583d121b343cf9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ba5ff8df619d661ff583d121b343cf9">&#9670;&nbsp;</a></span>_connector</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html">IRdfConnector</a> SemanticSearchImplementation.AdditionalRule._connector</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a07d4811c88adadb25e511902e26105ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07d4811c88adadb25e511902e26105ad">&#9670;&nbsp;</a></span>_queryString</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SparqlParameterizedString SemanticSearchImplementation.AdditionalRule._queryString</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_additional_rule_8cs.html">AdditionalRule.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
